Get element by id
GET
/openapi/customer/{id}
const url = 'https://open-api.replyco.com/openapi/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://open-api.replyco.com/openapi/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
IntegrationId and ShopType are required.
object
id
string format: uuid
firstName
string
lastName
string
marketCustomerId
string
email
string
phone
string
integrationId
required
string format: uuid
marketplace
required
integer format: int32
customerAddress
object
id
string format: uuid
addressLine1
string
addressLine2
string
addressLine3
string
city
string
country
string
postalCode
string
state
State or region
string
phone
string
notes
Related Notes to Customer
Array<object>
object
id
string format: uuid
note
required
string
username
string
Example
{ "marketplace": "0 - PlaceholderDoNotUse"}Unauthorized